package com.jeeplus.modules.projectplanweekly.dao;

import com.jeeplus.common.persistence.CrudDao;
import com.jeeplus.common.persistence.annotation.MyBatisDao;
import com.jeeplus.modules.projectplanweekly.entity.ProjectPlanWeekly;

import java.util.List;

@MyBatisDao
public interface ProjectPlanWeeklyDao extends CrudDao<ProjectPlanWeekly> {

    public Integer updateWeekly(ProjectPlanWeekly projectPlanWeekly);

    public List<ProjectPlanWeekly> findWeekly(ProjectPlanWeekly projectPlanWeekly);

    //基础员工获取信息
    public List<ProjectPlanWeekly> findWeeklyByStaff(ProjectPlanWeekly projectPlanWeekly);

    public Integer saveRemarksReason(ProjectPlanWeekly projectPlanWeekly);

    public Integer saveRemarksReasonInfo(ProjectPlanWeekly projectPlanWeekly);

    public Integer sureWeekly(ProjectPlanWeekly projectPlanWeekly);

    public Integer sureWeeklyInfo(ProjectPlanWeekly projectPlanWeekly);

    public ProjectPlanWeekly getPlanWeekly(String id);

    public Integer deleteWeekly(ProjectPlanWeekly projectPlanWeekly);

    public Integer deleteWeeklyInfo(ProjectPlanWeekly projectPlanWeekly);
}
